Samsung parchea la vulnerabilidad que permite borrar teléfonos Galaxy

MovilidadSeguridad

La compañía ya ha lanzado una actualización del software para el Galaxy S III vía OTA y está trabajando en una versión de la solución para el modelo S II.

Ayer dábamos la noticia de que los propietario de teléfonos Galaxy S II y Galaxy S III eran vulnerables a un fallo de seguridad que permitía el borrado remoto de sus datos personales, hasta reestablecer los valores de fábrica.

Ahora Samsung ha tomado cartas en el asunto y ha lanzado una actualización “over-the-air” que debería impedir tal extremo. Al menos en lo que al último modelo de su smartphone se refiere.

“Queremos asegurar a nuestros clientes que el problema de seguridad reciente sobre el Galaxy S III ya ha sido resuelto a través de una actualización de software”, han sido las palabras de la compañía, tal y como reproduce The Verge. “Recomendamos a todos nuestros clientes que posean un Galaxy S III que descargen la última actualización de software, algo que se puede hacer de forma fácil y rápida a través del servicio Over-The-Air (OTA)”.

Una versión del parche del firmware está actualmente en fase de pruebas para el Galaxy S II.

Según había explicado anteriormente el investigador Ravi Borgaonkar, durante la celebración de una conferencia de seguridad en Argentina, el problema radica en la forma en que la interfaz TouchWiz de Samsung maneja los códigos del servicio suplementario de datos no estructurados que están autorizados para ejecutar comandos en el teclado del dispositivo.

Aunque la mayoría de los marcadores necesitan que sean los usuarios quienes golpeen primero el botón de enviar para completar el código, el software de Samsung no actúa así.

Esto habría dejado a los usuarios desprotegidos frente a ataques a través de enlaces web, códigos QR e incluso mensajes de texto por SMS.

Leer la biografía del autor  Ocultar la biografía del autor